package willow.sixsides.sixsidesmod;

import net.fabricmc.fabric.api.item.v1.FabricItemSettings;
import net.fabricmc.fabric.api.object.builder.v1.block.FabricBlockSettings;
import net.minecraft.block.Block;
import net.minecraft.block.Blocks;
import net.minecraft.item.BlockItem;
import net.minecraft.item.Item;
import net.minecraft.registry.Registries;
import net.minecraft.registry.Registry;
import net.minecraft.util.Identifier;

public class ModBlocks {

    public static final Block BLOCK_1 = registerBlock("block_1",
            new Block(FabricBlockSettings.copyOf(Blocks.STONE)));



    private static Block registerBlock(String name, Block block) {
        Block registeredBlock = Registry.register(Registries.BLOCK, new Identifier(SixsidesMod.MOD_ID, name), block);

        // ブロックアイテムの登録
        Registry.register(Registries.ITEM, new Identifier(SixsidesMod.MOD_ID, name),
                new BlockItem(registeredBlock, new FabricItemSettings()));
        return registeredBlock;
    }

    public static void registerModBlocks() {
        SixsidesMod.LOGGER.info("Registering Mod Blocks for " + SixsidesMod.MOD_ID);
    }

}

